{ ... }: {
  imports = [
    ./hardware-configuration.nix
    ../modules/rest-server.nix
    ../modules/users.nix
    ../modules/common.nix
  ];

  boot.cleanTmpDir = true;
  zramSwap.enable = false;
  networking.hostName = "back";
  services.openssh.enable = true;
  services.openssh.permitRootLogin = "no";
  users.users.root.openssh.authorizedKeys.keys = [
    "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIKUA1RW6JwZasspAp8qmFRFnlV5WXjhLfStAAkM+KYLv lucazeau.alexandre@gmail.com" 
  ];


}
