{ pkgs, config, lib, ... }:{
 # accounts.email.maildirBasePath = "Mailsdir";
  accounts.email= {
    accounts = {
      dri = {
        primary = true;
        address = "alexandre@dri.fr";
        userName = "1847_alexandre";
        realName = "Alexandre LUCAZEAU";
        passwordCommand = "keepassxc-cli show -a Password --no-password  -k $HOME/keys/emails.key $HOME/Nextcloud/PRIVE/Keepass/emails.kbx emails";
      flavor = "plain";
      folders = {
        inbox = "INBOX";
        trash = "Junk";
      };
      imap = {
        host = "imap.dri.fr";
        tls.enable = false;
        };
      smtp = {
        host = "smtp.dri.fr";
        port = 587;
        tls.enable = false;
      };

      mbsync.enable = true;
      notmuch.enable = true;
      };
    };
  };
 services.mbsync = {
   enable = true;
 };

 programs = {
   msmtp.enable = true;
   mbsync.enable = true;
   notmuch.enable = true;
 };
  xdg.configFile = {
    "msmtp/config".source= ./configs/msmtp_config;
  };
}
