{config, pkgs, ...}:
{
services.restic.backups = {
  localbackup = {
      initialize = true;
      passwordFile = "/run/restic_pass";
      paths = [ "/var/lib/nextcloud/data/" ];
      repository = "rest:https://back.atlanticaweb.fr/Nextcloud";
      timerConfig = {
        OnCalendar = "00:05";
        RandomizedDelaySec = "5h";
      };
    };
};
}
