{ pkgs, config, ... }: {
  imports = [
    ./packages.nix
    ./gnupg.nix
    ./git.nix
    ./variables.nix
    ./starship.nix
    #./mails.nix
    ./mpd.nix
    ./emacs.nix
    ./i3status.nix
    ./neovim.nix
  ];
  home.keyboard = {
    layout = "fr";
    variant = "bepo";
  };
  xdg.configFile = {
    "i3/config".source = ./configs/i3config;
  };
}

# https://git.0xee.eu/0xee/nix-home/src/commit/b1bffdd8e56e093480c3ba7ed12b0141a4c6f9b1/desktop/polybar-config
#https://raw.githubusercontent.com/Litarvan/nix-litarvan/master/kilin/polybar.nix
