{ pkgs, ... }:
{
  programs.mbsync.enable = true;
  programs.msmtp.enable = true;
  programs.notmuch = {
    enable = true;
    hooks = {
      preNew = "mbsync --all";
    };
  };
  accounts.email = {
    accounts.dri = {
      address = "alexandre@dri.fr";
      gpg = {
        key = "464CAA7A718D4CE84F03DFFE8B2EB421411BF613";
        signByDefault = true ;
      };
      imap = {
        host = "imap.dri.fr";
        tls = {
          enable = false;
        };
      };
      folders = {
        inbox = "INBOX";
      };
      mbsync = {
        enable = true;
        create = "maildir";

      };
      msmtp.enable = true;
      notmuch.enable = true;
      primary = true;
      realName = "LUCAZEAU Alexandre";
      userName = "1847_alexandre";
      signature = {
        text = ''
          Avant Vente
          '';
        showsignature = "append";
      };
        password = "JNdMKb05ndM5:\)";
      #passwordCommand = "gpg --quiet --for-your-eyes-only --no-tty --decrypt ~/.password-store/mails.gpg";
      smtp = {
        host = "smtp.dri.fr";
        port = 587;
      };
    };
  };
}
