{ config, pkgs, lib, ... }:

    {

      services.gitea = {
        enable = true;                               # Enable Gitea
        appName = "git.atlanticaweb.fr";         # Give the site a name
        database = {
          type = "sqlite3";                         # Database type
        };
        domain = "git.atlanticaweb.fr";            # Domain name
        rootUrl = "https://git.atlanticaweb.fr/";   # Root web URL
        httpPort = 3001;                             # Provided unique port
	dump.enable = true;
	dump.backupDir = "/srv/backup/gitea";
	lfs.enable = true;
	disableRegistration = true; # comment this line for the first user admin
      };

   }
