{ pkgs, config, ... }: {
  imports = [
    ./packages.nix
    ./gnupg.nix
    ./git.nix
    ./variables.nix
    ./starship.nix
    ./i3status.nix
    ./emacs.nix
    ./mails.nix
    ./dunst.nix
    ./redshift.nix
    ../../../modules/neovim.nix
  ];
  home.keyboard = {
    layout = "fr";
    variant = "bepo";
  };
  xdg.configFile = {
    "i3/config".source = ./configs/i3config;
  };
  xsession.numlock.enable = true;
}
